java.beans

## Class ParameterDescriptor

- java.lang.Object
- - java.beans.FeatureDescriptor
  - - java.beans.ParameterDescriptor

-     public class ParameterDescriptor
      extends FeatureDescriptor

  The ParameterDescriptor class allows bean implementors to provide additional information on each of their parameters, beyond the low level type information provided by the java.lang.reflect.Method class.

  Currently all our state comes from the FeatureDescriptor base class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParameterDescriptor()` Public default constructor.

  - ### Method Summary

    - ### Methods inherited from class java.beans.FeatureDescriptor

      `attributeNames, getDisplayName, getName, getShortDescription, getValue, isExpert, isHidden, isPreferred, setDisplayName, setExpert, setHidden, setName, setPreferred, setShortDescription, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParameterDescriptor

          public ParameterDescriptor()

      Public default constructor.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.